Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Analyzers/BestSingleObjectiveTestFunctionSolutionAnalyzer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Analyzers/BestSingleObjectiveTestFunctionSolutionAnalyzer.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Analyzers/BestSingleObjectiveTestFunctionSolutionAnalyzer.cs	(revision 15018)
@@ -76,5 +76,5 @@
 
     [StorableConstructor]
-    protected BestSingleObjectiveTestFunctionSolutionAnalyzer(bool deserializing) : base(deserializing) { }
+    protected BestSingleObjectiveTestFunctionSolutionAnalyzer(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected BestSingleObjectiveTestFunctionSolutionAnalyzer(BestSingleObjectiveTestFunctionSolutionAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public BestSingleObjectiveTestFunctionSolutionAnalyzer()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/AckleyEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/AckleyEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/AckleyEvaluator.cs	(revision 15018)
@@ -68,5 +68,5 @@
 
     [StorableConstructor]
-    protected AckleyEvaluator(bool deserializing) : base(deserializing) { }
+    protected AckleyEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected AckleyEvaluator(AckleyEvaluator original, Cloner cloner) : base(original, cloner) { }
     public AckleyEvaluator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/BealeEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/BealeEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/BealeEvaluator.cs	(revision 15018)
@@ -68,5 +68,5 @@
 
     [StorableConstructor]
-    protected BealeEvaluator(bool deserializing) : base(deserializing) { }
+    protected BealeEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected BealeEvaluator(BealeEvaluator original, Cloner cloner) : base(original, cloner) { }
     public BealeEvaluator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/BoothEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/BoothEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/BoothEvaluator.cs	(revision 15018)
@@ -67,5 +67,5 @@
 
     [StorableConstructor]
-    protected BoothEvaluator(bool deserializing) : base(deserializing) { }
+    protected BoothEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected BoothEvaluator(BoothEvaluator original, Cloner cloner) : base(original, cloner) { }
     public BoothEvaluator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/GriewankEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/GriewankEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/GriewankEvaluator.cs	(revision 15018)
@@ -69,5 +69,5 @@
 
     [StorableConstructor]
-    protected GriewankEvaluator(bool deserializing) : base(deserializing) { }
+    protected GriewankEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected GriewankEvaluator(GriewankEvaluator original, Cloner cloner) : base(original, cloner) { }
     public GriewankEvaluator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/LevyEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/LevyEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/LevyEvaluator.cs	(revision 15018)
@@ -67,5 +67,5 @@
 
     [StorableConstructor]
-    protected LevyEvaluator(bool deserializing) : base(deserializing) { }
+    protected LevyEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected LevyEvaluator(LevyEvaluator original, Cloner cloner) : base(original, cloner) { }
     public LevyEvaluator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/MatyasEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/MatyasEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/MatyasEvaluator.cs	(revision 15018)
@@ -67,5 +67,5 @@
 
     [StorableConstructor]
-    protected MatyasEvaluator(bool deserializing) : base(deserializing) { }
+    protected MatyasEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected MatyasEvaluator(MatyasEvaluator original, Cloner cloner) : base(original, cloner) { }
     public MatyasEvaluator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/MultinormalEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/MultinormalEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/MultinormalEvaluator.cs	(revision 15018)
@@ -87,5 +87,5 @@
 
     [StorableConstructor]
-    protected MultinormalEvaluator(bool deserializing) : base(deserializing) { }
+    protected MultinormalEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected MultinormalEvaluator(MultinormalEvaluator original, Cloner cloner) : base(original, cloner) { }
     public MultinormalEvaluator() {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/RandomEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/RandomEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/RandomEvaluator.cs	(revision 15018)
@@ -72,5 +72,5 @@
 
     [StorableConstructor]
-    protected RandomEvaluator(bool deserializing) : base(deserializing) { }
+    protected RandomEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected RandomEvaluator(RandomEvaluator original, Cloner cloner) : base(original, cloner) { }
     public RandomEvaluator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/RastriginEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/RastriginEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/RastriginEvaluator.cs	(revision 15018)
@@ -86,5 +86,5 @@
 
     [StorableConstructor]
-    protected RastriginEvaluator(bool deserializing) : base(deserializing) { }
+    protected RastriginEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected RastriginEvaluator(RastriginEvaluator original, Cloner cloner) : base(original, cloner) { }
     /// <summary>
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/RosenbrockEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/RosenbrockEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/RosenbrockEvaluator.cs	(revision 15018)
@@ -71,5 +71,5 @@
 
     [StorableConstructor]
-    protected RosenbrockEvaluator(bool deserializing) : base(deserializing) { }
+    protected RosenbrockEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected RosenbrockEvaluator(RosenbrockEvaluator original, Cloner cloner) : base(original, cloner) { }
     public RosenbrockEvaluator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SchwefelEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SchwefelEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SchwefelEvaluator.cs	(revision 15018)
@@ -67,5 +67,5 @@
 
     [StorableConstructor]
-    protected SchwefelEvaluator(bool deserializing) : base(deserializing) { }
+    protected SchwefelEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected SchwefelEvaluator(SchwefelEvaluator original, Cloner cloner) : base(original, cloner) { }
     public SchwefelEvaluator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SingleObjectiveTestFunctionProblemEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SingleObjectiveTestFunctionProblemEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SingleObjectiveTestFunctionProblemEvaluator.cs	(revision 15018)
@@ -74,5 +74,5 @@
 
     [StorableConstructor]
-    protected SingleObjectiveTestFunctionProblemEvaluator(bool deserializing) : base(deserializing) { }
+    protected SingleObjectiveTestFunctionProblemEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected SingleObjectiveTestFunctionProblemEvaluator(SingleObjectiveTestFunctionProblemEvaluator original, Cloner cloner) : base(original, cloner) { }
     /// <summary>
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SphereEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SphereEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SphereEvaluator.cs	(revision 15018)
@@ -104,5 +104,5 @@
 
     [StorableConstructor]
-    protected SphereEvaluator(bool deserializing) : base(deserializing) { }
+    protected SphereEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected SphereEvaluator(SphereEvaluator original, Cloner cloner) : base(original, cloner) { }
     /// <summary>
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SumSquaresEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SumSquaresEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SumSquaresEvaluator.cs	(revision 15018)
@@ -66,5 +66,5 @@
 
     [StorableConstructor]
-    protected SumSquaresEvaluator(bool deserializing) : base(deserializing) { }
+    protected SumSquaresEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected SumSquaresEvaluator(SumSquaresEvaluator original, Cloner cloner) : base(original, cloner) { }
     public SumSquaresEvaluator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/ZakharovEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/ZakharovEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/ZakharovEvaluator.cs	(revision 15018)
@@ -70,5 +70,5 @@
 
     [StorableConstructor]
-    protected ZakharovEvaluator(bool deserializing) : base(deserializing) { }
+    protected ZakharovEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ZakharovEvaluator(ZakharovEvaluator original, Cloner cloner) : base(original, cloner) { }
     public ZakharovEvaluator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Improvers/SingleObjectiveTestFunctionImprovementOperator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Improvers/SingleObjectiveTestFunctionImprovementOperator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Improvers/SingleObjectiveTestFunctionImprovementOperator.cs	(revision 15018)
@@ -99,5 +99,5 @@
 
     [StorableConstructor]
-    private SingleObjectiveTestFunctionImprovementOperator(bool deserializing) : base(deserializing) { }
+    private SingleObjectiveTestFunctionImprovementOperator(StorableConstructorFlag deserializing) : base(deserializing) { }
     private SingleObjectiveTestFunctionImprovementOperator(SingleObjectiveTestFunctionImprovementOperator original, Cloner cloner) : base(original, cloner) { }
     public SingleObjectiveTestFunctionImprovementOperator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/AckleyAdditiveMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/AckleyAdditiveMoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/AckleyAdditiveMoveEvaluator.cs	(revision 15018)
@@ -34,5 +34,5 @@
 
     [StorableConstructor]
-    protected AckleyAdditiveMoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected AckleyAdditiveMoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected AckleyAdditiveMoveEvaluator(AckleyAdditiveMoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     public AckleyAdditiveMoveEvaluator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/AdditiveMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/AdditiveMoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/AdditiveMoveEvaluator.cs	(revision 15018)
@@ -53,5 +53,5 @@
 
     [StorableConstructor]
-    protected AdditiveMoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected AdditiveMoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected AdditiveMoveEvaluator(AdditiveMoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     protected AdditiveMoveEvaluator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/BealeAdditiveMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/BealeAdditiveMoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/BealeAdditiveMoveEvaluator.cs	(revision 15018)
@@ -34,5 +34,5 @@
 
     [StorableConstructor]
-    protected BealeAdditiveMoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected BealeAdditiveMoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected BealeAdditiveMoveEvaluator(BealeAdditiveMoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     public BealeAdditiveMoveEvaluator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/BoothAdditiveMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/BoothAdditiveMoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/BoothAdditiveMoveEvaluator.cs	(revision 15018)
@@ -34,5 +34,5 @@
 
     [StorableConstructor]
-    protected BoothAdditiveMoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected BoothAdditiveMoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected BoothAdditiveMoveEvaluator(BoothAdditiveMoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     public BoothAdditiveMoveEvaluator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/GriewankAdditiveMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/GriewankAdditiveMoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/GriewankAdditiveMoveEvaluator.cs	(revision 15018)
@@ -34,5 +34,5 @@
 
     [StorableConstructor]
-    protected GriewankAdditiveMoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected GriewankAdditiveMoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected GriewankAdditiveMoveEvaluator(GriewankAdditiveMoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     public GriewankAdditiveMoveEvaluator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/LevyAdditiveMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/LevyAdditiveMoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/LevyAdditiveMoveEvaluator.cs	(revision 15018)
@@ -34,5 +34,5 @@
 
     [StorableConstructor]
-    protected LevyAdditiveMoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected LevyAdditiveMoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected LevyAdditiveMoveEvaluator(LevyAdditiveMoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     public LevyAdditiveMoveEvaluator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/MatyasAdditiveMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/MatyasAdditiveMoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/MatyasAdditiveMoveEvaluator.cs	(revision 15018)
@@ -34,5 +34,5 @@
 
     [StorableConstructor]
-    protected MatyasAdditiveMoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected MatyasAdditiveMoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected MatyasAdditiveMoveEvaluator(MatyasAdditiveMoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     public MatyasAdditiveMoveEvaluator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/MultinormalAdditiveMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/MultinormalAdditiveMoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/MultinormalAdditiveMoveEvaluator.cs	(revision 15018)
@@ -37,5 +37,5 @@
 
     [StorableConstructor]
-    protected MultinormalAdditiveMoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected MultinormalAdditiveMoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected MultinormalAdditiveMoveEvaluator(MultinormalAdditiveMoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     public MultinormalAdditiveMoveEvaluator() {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/RandomAdditiveMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/RandomAdditiveMoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/RandomAdditiveMoveEvaluator.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    protected RandomAdditiveMoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected RandomAdditiveMoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected RandomAdditiveMoveEvaluator(RandomAdditiveMoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     public RandomAdditiveMoveEvaluator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/RastriginAdditiveMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/RastriginAdditiveMoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/RastriginAdditiveMoveEvaluator.cs	(revision 15018)
@@ -49,5 +49,5 @@
 
     [StorableConstructor]
-    protected RastriginAdditiveMoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected RastriginAdditiveMoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected RastriginAdditiveMoveEvaluator(RastriginAdditiveMoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     public RastriginAdditiveMoveEvaluator() {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/RealVectorAdditiveMoveWrapper.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/RealVectorAdditiveMoveWrapper.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/RealVectorAdditiveMoveWrapper.cs	(revision 15018)
@@ -34,5 +34,4 @@
     private RealVector vector;
 
-    private RealVectorAdditiveMoveWrapper(bool deserializing) : base(deserializing) { }
     private RealVectorAdditiveMoveWrapper(RealVectorAdditiveMoveWrapper original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/RosenbrockAdditiveMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/RosenbrockAdditiveMoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/RosenbrockAdditiveMoveEvaluator.cs	(revision 15018)
@@ -34,5 +34,5 @@
 
     [StorableConstructor]
-    protected RosenbrockAdditiveMoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected RosenbrockAdditiveMoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected RosenbrockAdditiveMoveEvaluator(RosenbrockAdditiveMoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     public RosenbrockAdditiveMoveEvaluator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/SchwefelAdditiveMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/SchwefelAdditiveMoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/SchwefelAdditiveMoveEvaluator.cs	(revision 15018)
@@ -34,5 +34,5 @@
 
     [StorableConstructor]
-    protected SchwefelAdditiveMoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected SchwefelAdditiveMoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected SchwefelAdditiveMoveEvaluator(SchwefelAdditiveMoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     public SchwefelAdditiveMoveEvaluator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/SphereAdditiveMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/SphereAdditiveMoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/SphereAdditiveMoveEvaluator.cs	(revision 15018)
@@ -63,5 +63,5 @@
 
     [StorableConstructor]
-    protected SphereAdditiveMoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected SphereAdditiveMoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected SphereAdditiveMoveEvaluator(SphereAdditiveMoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     public SphereAdditiveMoveEvaluator() {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/SumSquaresAdditiveMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/SumSquaresAdditiveMoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/SumSquaresAdditiveMoveEvaluator.cs	(revision 15018)
@@ -34,5 +34,5 @@
 
     [StorableConstructor]
-    protected SumSquaresAdditiveMoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected SumSquaresAdditiveMoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected SumSquaresAdditiveMoveEvaluator(SumSquaresAdditiveMoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     public SumSquaresAdditiveMoveEvaluator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/ZakharovAdditiveMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/ZakharovAdditiveMoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/ZakharovAdditiveMoveEvaluator.cs	(revision 15018)
@@ -34,5 +34,5 @@
 
     [StorableConstructor]
-    protected ZakharovAdditiveMoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected ZakharovAdditiveMoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ZakharovAdditiveMoveEvaluator(ZakharovAdditiveMoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     public ZakharovAdditiveMoveEvaluator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/PathRelinkers/SingleObjectiveTestFunctionPathRelinker.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/PathRelinkers/SingleObjectiveTestFunctionPathRelinker.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/PathRelinkers/SingleObjectiveTestFunctionPathRelinker.cs	(revision 15018)
@@ -55,5 +55,5 @@
 
     [StorableConstructor]
-    private SingleObjectiveTestFunctionPathRelinker(bool deserializing) : base(deserializing) { }
+    private SingleObjectiveTestFunctionPathRelinker(StorableConstructorFlag deserializing) : base(deserializing) { }
     private SingleObjectiveTestFunctionPathRelinker(SingleObjectiveTestFunctionPathRelinker original, Cloner cloner) : base(original, cloner) { }
     public SingleObjectiveTestFunctionPathRelinker()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/RealVectorToRealVectorEncoder.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/RealVectorToRealVectorEncoder.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/RealVectorToRealVectorEncoder.cs	(revision 15018)
@@ -34,5 +34,5 @@
 
     [StorableConstructor]
-    protected RealVectorToRealVectorEncoder(bool deserializing) : base(deserializing) { }
+    protected RealVectorToRealVectorEncoder(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected RealVectorToRealVectorEncoder(RealVectorToRealVectorEncoder original, Cloner cloner) : base(original, cloner) { }
     public RealVectorToRealVectorEncoder()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/SimilarityCalculators/SingleObjectiveTestFunctionSimilarityCalculator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/SimilarityCalculators/SingleObjectiveTestFunctionSimilarityCalculator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/SimilarityCalculators/SingleObjectiveTestFunctionSimilarityCalculator.cs	(revision 15018)
@@ -44,5 +44,5 @@
 
     [StorableConstructor]
-    private SingleObjectiveTestFunctionSimilarityCalculator(bool deserializing) : base(deserializing) { }
+    private SingleObjectiveTestFunctionSimilarityCalculator(StorableConstructorFlag deserializing) : base(deserializing) { }
     private SingleObjectiveTestFunctionSimilarityCalculator(SingleObjectiveTestFunctionSimilarityCalculator original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/SingleObjectiveTestFunctionProblem.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/SingleObjectiveTestFunctionProblem.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/SingleObjectiveTestFunctionProblem.cs	(revision 15018)
@@ -89,5 +89,5 @@
 
     [StorableConstructor]
-    private SingleObjectiveTestFunctionProblem(bool deserializing) : base(deserializing) { }
+    private SingleObjectiveTestFunctionProblem(StorableConstructorFlag deserializing) : base(deserializing) { }
     private SingleObjectiveTestFunctionProblem(SingleObjectiveTestFunctionProblem original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/SingleObjectiveTestFunctionSolution.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/SingleObjectiveTestFunctionSolution.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/SingleObjectiveTestFunctionSolution.cs	(revision 15018)
@@ -123,5 +123,5 @@
 
     [StorableConstructor]
-    protected SingleObjectiveTestFunctionSolution(bool deserializing) : base(deserializing) { }
+    protected SingleObjectiveTestFunctionSolution(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected SingleObjectiveTestFunctionSolution(SingleObjectiveTestFunctionSolution original, Cloner cloner)
       : base(original, cloner) {
